Bug 1412999 - pantheon-files and pantheon-files-libs file conflict: /usr/lib64/libpantheon-files-{core,widgets}.so.0.1
Summary: pantheon-files and pantheon-files-libs file conflict: /usr/lib64/libpantheon-...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: pantheon-files
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 11:15 UTC by Brenton Horne
Modified: 2021-03-11 20:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-13 11:29:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Brenton Horne 2017-01-13 11:15:01 UTC
Description of problem:
When upgrading pantheon-files with sudo dnf update -y I get the error:

  file /usr/lib64/libpantheon-files-core.so.0.1 from install of pantheon-files-0.3.0.5-3.fc25.x86_64 conflicts with file from package pantheon-files-libs-0.3.0.5-2.fc25.x86_64
  file /usr/lib64/libpantheon-files-widgets.so.0.1 from install of pantheon-files-0.3.0.5-3.fc25.x86_64 conflicts with file from package pantheon-files-libs-0.3.0.5-2.fc25.x86_64

Version-Release number of selected component (if applicable):
0.3.0.5


Steps to Reproduce:
1. On a Fedora 25 system with pantheon-files already installed run sudo dnf update -y

Actual results:
* Error message:
Running transaction check
Transaction check succeeded.
Running transaction test
Error: Transaction check error:
  file /usr/lib64/libpantheon-files-core.so.0.1 from install of pantheon-files-0.3.0.5-3.fc25.x86_64 conflicts with file from package pantheon-files-libs-0.3.0.5-2.fc25.x86_64
  file /usr/lib64/libpantheon-files-widgets.so.0.1 from install of pantheon-files-0.3.0.5-3.fc25.x86_64 conflicts with file from package pantheon-files-libs-0.3.0.5-2.fc25.x86_64

Error Summary
-------------

and DNF exits.


Expected results:
pantheon-files to upgrade to 0.3.0.5-3.

Comment 1 Brenton Horne 2017-01-13 11:29:55 UTC
oops sorry it seems this is due to pantheon-files-libs which is in the decathorpe/elementary-stable copr https://copr.fedorainfracloud.org/coprs/decathorpe/elementary-stable/. So I'm closing.

Comment 2 Fabio Valentini 2017-01-13 12:13:51 UTC
Yes, I have moved files that were previously in the -libs subpackage to the main package as part of the cleanup in preparation for inclusion in fedora. Glad this could be resolved so easily.


Note You need to log in before you can comment on or make changes to this bug.